#
# spec file for package python3-pickleshare
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pickleshare
Version:        0.7.3
Release:        2.2
Summary:        Tiny shelve-like database with concurrency support
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/vivainio/pickleshare
Source:         https://files.pythonhosted.org/packages/source/p/pickleshare/pickleshare-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
PickleShare - a small 'shelve' like datastore with concurrency support

Like shelve, a PickleShareDB object acts like a normal dictionary. Unlike shelve,
many processes can access the database simultaneously. Changing a value in 
database is immediately visible to other processes accessing the same database.

Concurrency is possible because the values are stored in separate files. Hence
the "database" is a directory where *all* files are governed by PickleShare.

This module is certainly not ZODB, but can be used for low-load
(non-mission-critical) situations where tiny code size trumps the 
advanced features of a "real" object database.

Installation guide: pip install path pickleshare

%prep
%setup -q -n pickleshare-%{version}
# Remove shebang
sed -i '1{\@^#!/usr/bin/env python@d}' pickleshare.py

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*

%changelog
* Fri Jul 15 2016 arun@gmx.de
- update to version 0.7.3:
  * Fix environment marker
  * Include license and test files in sdists
  * Fix for multiple processes creating a folder
  * handle exception and keep Python 2 support
  * Remove unused import
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Apr  9 2016 arun@gmx.de
- specfile:
  * removed path.py (using pathlib now)
- update to version 0.7.2:
  * Fix environment marker
  * Fix error when db location does not already exist
  * Require pathlib2 on Python 3.3 as well
- changes from version 0.7.0:
  * Update metadata
  * Fix environment marker
  * Update .travis.yml
  * Switch from path.py to pathlib
  * Add MIT license
  * Cleanup: Python 3 compatible example, remove .idea folder
  * Update setup.py classifiers
  * Enable 3.5 on travis
  * specify path.py version dependency
* Sat Jan 30 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.6:
  * Fix module import to work with the latest version
  * remove pkg.info
  * update main page URL
* Wed Aug 12 2015 toddrme2178@gmail.com
- Initial version
